package com.cn.bjca.chatbots.core.config;

import cn.hutool.core.util.RandomUtil;
import cn.hutool.http.HttpGlobalConfig;
import org.springframework.context.annotation.Configuration;

import javax.annotation.PostConstruct;

@Configuration
public class HutoolHttpConfig {

    @PostConstruct
    public void initHttpGlobalConfig() {
        // 设置默认超时时间 3s
        HttpGlobalConfig.setTimeout(3000);

        // 设置默认的Multipart边界
        HttpGlobalConfig.setBoundary("--------------------kh-crm_" + RandomUtil.randomString(16));
    }
}