package com.cn.bjca.chatbots.core.pojo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ApiResponse<T> {
    private Integer code; // 响应码
    private T data; // 返回的数据
    private String requestId; // 请求 ID
    private String resultMsg; // 响应说明
    private String host; // 业务主机名
    private String errorStackTrace; // 异常堆栈
}