package com.cn.bjca.chatbots.core.pojo.dialogflow;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DialogFlow {
    private Long dialogFlowId; // 话术 ID
    private String name; // 话术名称
    private Long intentLevelTagId; // 意向分组 ID
    private String intentLevelTagName; // 意向分组名称
    private String status; // 话术状态
    private String createTime; // 话术创建时间
    private Industry industry; // 一级行业
    private Industry subIndustry; // 二级行业
    private String description; // 描述
    private String type; // 话术类型
}