package com.cn.bjca.chatbots.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum QueueType {
    LESS_ROBOT_COUNT("可使用空闲坐席不足"),
    RUNNING_TASK("存在进行中通话"),
    LESS_PHONE_NUMBER("手机线路被使用"),
    LESS_LINE_CONCURRENCY("线路当前可用并发数不足"),
    LOW_PRIORITY("并发被优先任务占用");

    private final String desc;
}