package com.cn.bjca.chatbots.core.service;

import com.cn.bjca.chatbots.core.pojo.callback.CallRecordDTO;

/**
 * 回调处理服务接口，用于处理三方平台的通话记录回调数据。
 */
public interface CallRecordCallbackService {

    /**
     * 处理三方平台的通话记录回调数据。
     *
     * @param callRecord 通话记录数据对象
     */
    void handleCallRecord(CallRecordDTO callRecord);
}
